(Solved) Going in circles need help w/ FF install.

Questions about applications and software
Forum rules
Before you post please read this

(Solved) Going in circles need help w/ FF install.

Postby WinCrasher on Sun Jan 27, 2013 2:14 am

Where to start in a circle?

I am having trouble with FF. I had ff when I first installed LM 13 MATE on my Toshiba Satellite laptop a few months ago. But I could not update it. I posted a question here to the forum but did not get a response. So I Figured I would uninstalll/reinstall to see if that fixed my problem. I have not been able to reinstall since. I am using OPERA now but I prefer FF.

So here is the basic procedure. I try to install FF thru the Update Manager and it fails. So I open Synaptic and it says I have a broken package. firefox-globalmenu. I select it and click Fix Broken Package and nothing happens. I try to reinstall. It says that I have dependancy problems because FF is not installed. I can't install FF because ff-gm is broken. SO I try to delete ff-gm.

I get this error message

Code: Select all
(Reading database ... 179044 files and directories currently installed.)
Removing firefox-globalmenu ...
(Reading database ... 179026 files and directories currently installed.)
Unpacking firefox (from .../firefox_18.0.1+build1-0ubuntu0.12.04.1_i386.deb) ...
/var/lib/dpkg/tmp.ci/preinst: 1: /var/lib/dpkg/tmp.ci/preinst: awk: not found
close failed in file object destructor:
sys.excepthook is missing
lost sys.stderr
/var/lib/dpkg/tmp.ci/preinst: 1: /var/lib/dpkg/tmp.ci/preinst: awk: not found
close failed in file object destructor:
sys.excepthook is missing
lost sys.stderr
dpkg: error processing /var/cache/apt/archives/firefox_18.0.1+build1-0ubuntu0.12.04.1_i386.deb (--unpack):
 subprocess new pre-installation script returned error exit status 127
Errors were encountered while processing:
 /var/cache/apt/archives/firefox_18.0.1+build1-0ubuntu0.12.04.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up initramfs-tools (0.99ubuntu13) ...
update-initramfs: deferring update (trigger activated)
Setting up nfs-common (1:1.2.5-3ubuntu3.1) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing nfs-common (--configure):
 subprocess installed post-installation script returned error exit status 127
Setting up grub-pc (1.99-21ubuntu3.7) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 127
Setting up php5-cli (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing php5-cli (--configure):
 subprocess installed post-installation script returned error exit status 127
Setting up libapache2-mod-php5 (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing libapache2-mod-php5 (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of php5:
 php5 depends on libapache2-mod-php5 (>= 5.3.10-1ubuntu3.5) | libapache2-mod-php5filter (>= 5.3.10-1ubuntu3.5) | php5-cgi (>= 5.3.10-1ubuntu3.5) | php5-fpm (>= 5.3.10-1ubuntu3.5); however:
  Package libapache2-mod-php5 is not configured yet.
  Package libapache2-mod-php5filter is not installed.
  Package php5-cgi is not installed.
  Package php5-fpm is not installed.
dpkg: error processing php5 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-mysql:
 php5-mysql depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-mysql (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-intl:
 php5-intl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-intl (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-gmp:
 php5-gmp depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gmp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-gd:
 php5-gd depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gd (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-curl:
 php5-curl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-curl (--configure):
 dependency problems - leaving unconfigured
Processing triggers for initramfs-tools ...
/usr/sbin/update-initramfs: 236: /usr/sbin/update-initramfs: awk: not found
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 127
Processing triggers for dracut ...
dracut: Generating /boot/initramfs-3.2.0-23-generic.img
E: Directories consolefonts, consoletrans, keymaps, unimaps not found.  Please inform us about the issue including your OS name and version.
W: Couldn't find SSL CA cert bundle; HTTPS won't work.
chown: invalid user: `rpc.rpc'
Errors were encountered while processing:
 nfs-common
 grub-pc
 php5-cli
 libapache2-mod-php5
 php5
 php5-mysql
 php5-intl
 php5-gmp
 php5-gd
 php5-curl
 initramfs-tools



I no longer have a broken package but if I try to install FF I will be back to where I started. Update manager even updated Firefox even though it's not installed.

I have searched and read and watched youtube videos until I have ubuntu coming out of my ears but I can't find a solution to this problem. Any help would be greatly appreciated.
Thanks.
Last edited by WinCrasher on Sat Jul 12, 2014 6:51 am, edited 4 times in total.
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Linux Mint is funded by ads and donations.
 

Re: Going in circles need help w/ FF update.

Postby caf4926 on Sun Jan 27, 2013 2:57 am

Please try

Code: Select all
sudo apt-get -f install


If that doesn't help try

Code: Select all
sudo dpkg --configure -a
sudo apt-get clean
sudo apt-get update
Image
Mint 16 Cinnamon_64
User avatar
caf4926
Level 7
Level 7
 
Posts: 1784
Joined: Mon Mar 22, 2010 3:21 pm
Location: UK Lake District

Re: Going in circles need help w/ FF update.

Postby WinCrasher on Sun Jan 27, 2013 1:37 pm

Thank you for responding. I am really frustrated with this.

Tried sudo apt-get -f install

Returned

Code: Select all
sudo apt-get -f install
[sudo] password for greg:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libjs-scriptaculous libphp-snoopy libjs-cropper php5-gd libphp-simplepie
  php5-intl php5-mysql libjs-prototype tinymce libphp-phpmailer
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 26 not upgraded.
11 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up initramfs-tools (0.99ubuntu13) ...
update-initramfs: deferring update (trigger activated)
Setting up grub-pc (1.99-21ubuntu3.7) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Setting up libapache2-mod-php5 (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing libapache2-mod-php5 (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Setting up nfs-common (1:1.2.5-3ubuntu3.1) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing nfs-common (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5:
 php5 depends on libapache2-mod-php5 (>= 5.3.10-1ubuntu3.5) | libapache2-mod-php5filter (>= 5.3.10-1ubuntu3.5) | php5-cgi (>= 5.3.10-1ubuntu3.5) | php5-fpm (>= 5.3.10-1ubuntu3.5); however:
  Package libapache2-mod-php5 is not configured yet.
  Package libapache2-mod-php5filter is not installed.
  Package php5-cgi is not installed.
  Package php5-fpm is not installed.
dpkg: error processing php5 (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up php5-cli (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing php5-cli (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-curl:
 php5-curl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-curl (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-gd:
 php5-gd depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gd (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-gmp:
 php5-gmp depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gmp (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-intl:
 php5-intl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-intl (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-mysql:
 php5-mysql depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-mysql (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Processing triggers for initramfs-tools ...
/usr/sbin/update-initramfs: 236: /usr/sbin/update-initramfs: awk: not found
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Processing triggers for dracut ...
dracut: Generating /boot/initramfs-3.2.0-23-generic.img
E: Directories consolefonts, consoletrans, keymaps, unimaps not found.  Please inform us about the issue including your OS name and version.
W: Couldn't find SSL CA cert bundle; HTTPS won't work.
chown: invalid user: `rpc.rpc'
Errors were encountered while processing:
 grub-pc
 libapache2-mod-php5
 nfs-common
 php5
 php5-cli
 php5-curl
 php5-gd
 php5-gmp
 php5-intl
 php5-mysql
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)


Tried
sudo dpkg --configure -a


Returned

Code: Select all
sudo dpkg --configure -a
Setting up initramfs-tools (0.99ubuntu13) ...
update-initramfs: deferring update (trigger activated)
Setting up nfs-common (1:1.2.5-3ubuntu3.1) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing nfs-common (--configure):
 subprocess installed post-installation script returned error exit status 127
Setting up grub-pc (1.99-21ubuntu3.7) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 127
Setting up php5-cli (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing php5-cli (--configure):
 subprocess installed post-installation script returned error exit status 127
Setting up libapache2-mod-php5 (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing libapache2-mod-php5 (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of php5:
 php5 depends on libapache2-mod-php5 (>= 5.3.10-1ubuntu3.5) | libapache2-mod-php5filter (>= 5.3.10-1ubuntu3.5) | php5-cgi (>= 5.3.10-1ubuntu3.5) | php5-fpm (>= 5.3.10-1ubuntu3.5); however:
  Package libapache2-mod-php5 is not configured yet.
  Package libapache2-mod-php5filter is not installed.
  Package php5-cgi is not installed.
  Package php5-fpm is not installed.
dpkg: error processing php5 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-mysql:
 php5-mysql depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-mysql (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-intl:
 php5-intl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-intl (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-gmp:
 php5-gmp depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gmp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-gd:
 php5-gd depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gd (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php5-curl:
 php5-curl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-curl (--configure):
 dependency problems - leaving unconfigured
Processing triggers for initramfs-tools ...
/usr/sbin/update-initramfs: 236: /usr/sbin/update-initramfs: awk: not found
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 127
Processing triggers for dracut ...
dracut: Generating /boot/initramfs-3.2.0-23-generic.img
E: Directories consolefonts, consoletrans, keymaps, unimaps not found.  Please inform us about the issue including your OS name and version.
W: Couldn't find SSL CA cert bundle; HTTPS won't work.
chown: invalid user: `rpc.rpc'
Errors were encountered while processing:
 nfs-common
 grub-pc
 php5-cli
 libapache2-mod-php5
 php5
 php5-mysql
 php5-intl
 php5-gmp
 php5-gd
 php5-curl
 initramfs-tools


sudo apt-get clean

Returned nothing

sudo apt-get update

Returned

Code: Select all
sudo apt-get update
Ign http://security.ubuntu.com precise-security InRelease
Hit http://security.ubuntu.com precise-security Release.gpg                   
Hit http://security.ubuntu.com precise-security Release                       
Hit http://packages.medibuntu.org precise InRelease                           
Ign http://archive.canonical.com precise InRelease                             
Ign http://ppa.launchpad.net precise InRelease                                 
Hit http://security.ubuntu.com precise-security/main i386 Packages             
Hit http://archive.canonical.com precise Release.gpg                           
Hit http://security.ubuntu.com precise-security/restricted i386 Packages       
Hit http://security.ubuntu.com precise-security/universe i386 Packages         
Hit http://security.ubuntu.com precise-security/multiverse i386 Packages       
Hit http://security.ubuntu.com precise-security/main TranslationIndex         
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex   
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex   
Hit http://security.ubuntu.com precise-security/universe TranslationIndex     
Hit http://ppa.launchpad.net precise Release.gpg                               
Hit http://security.ubuntu.com precise-security/main Translation-en           
Hit http://security.ubuntu.com precise-security/multiverse Translation-en     
Hit http://security.ubuntu.com precise-security/restricted Translation-en     
Hit http://security.ubuntu.com precise-security/universe Translation-en       
Hit http://archive.canonical.com precise Release                               
Hit http://ppa.launchpad.net precise Release                                   
Hit http://packages.medibuntu.org precise/free i386 Packages                   
Hit http://archive.canonical.com precise/partner i386 Packages                 
Hit http://ppa.launchpad.net precise/main Sources                             
Hit http://packages.medibuntu.org precise/non-free i386 Packages               
Ign http://archive.canonical.com precise/partner TranslationIndex             
Hit http://ppa.launchpad.net precise/main i386 Packages                       
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Ign http://packages.medibuntu.org precise/free TranslationIndex               
Ign http://packages.medibuntu.org precise/non-free TranslationIndex           
Ign http://ppa.launchpad.net precise/main Translation-en_US                   
Ign http://archive.canonical.com precise/partner Translation-en_US             
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://archive.canonical.com precise/partner Translation-en               
Ign http://mirror.umd.edu maya InRelease                                       
Hit http://mirror.umd.edu maya Release.gpg                                     
Hit http://mirror.umd.edu maya Release                                     
Hit http://mirror.umd.edu maya/main i386 Packages                           
Ign http://archive.ubuntu.com precise InRelease
Ign http://archive.ubuntu.com precise-updates InRelease             
Hit http://mirror.umd.edu maya/upstream i386 Packages               
Hit http://mirror.umd.edu maya/import i386 Packages                 
Ign http://mirror.umd.edu maya/import TranslationIndex               
Ign http://mirror.umd.edu maya/main TranslationIndex                 
Ign http://mirror.umd.edu maya/upstream TranslationIndex             
Hit http://archive.ubuntu.com precise Release.gpg                   
Hit http://archive.ubuntu.com precise-updates Release.gpg           
Hit http://archive.ubuntu.com precise Release                                 
Hit http://archive.ubuntu.com precise-updates Release                         
Hit http://archive.ubuntu.com precise/main i386 Packages                       
Hit http://archive.ubuntu.com precise/restricted i386 Packages                 
Hit http://archive.ubuntu.com precise/universe i386 Packages         
Hit http://archive.ubuntu.com precise/multiverse i386 Packages       
Hit http://archive.ubuntu.com precise/main TranslationIndex         
Hit http://archive.ubuntu.com precise/multiverse TranslationIndex   
Hit http://archive.ubuntu.com precise/restricted TranslationIndex   
Hit http://archive.ubuntu.com precise/universe TranslationIndex     
Ign http://mirror.umd.edu maya/import Translation-en_US             
Ign http://mirror.umd.edu maya/import Translation-en                 
Ign http://mirror.umd.edu maya/main Translation-en_US               
Ign http://mirror.umd.edu maya/main Translation-en                   
Ign http://mirror.umd.edu maya/upstream Translation-en_US                     
Ign http://mirror.umd.edu maya/upstream Translation-en                         
Hit http://archive.ubuntu.com precise-updates/main i386 Packages               
Hit http://archive.ubuntu.com precise-updates/restricted i386 Packages         
Hit http://archive.ubuntu.com precise-updates/universe i386 Packages           
Hit http://archive.ubuntu.com precise-updates/multiverse i386 Packages         
Hit http://archive.ubuntu.com precise-updates/main TranslationIndex           
Hit http://archive.ubuntu.com precise-updates/multiverse TranslationIndex     
Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex     
Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://archive.ubuntu.com precise/main Translation-en
Hit http://archive.ubuntu.com precise/multiverse Translation-en
Hit http://archive.ubuntu.com precise/restricted Translation-en
Hit http://archive.ubuntu.com precise/universe Translation-en                 
Hit http://archive.ubuntu.com precise-updates/main Translation-en             
Hit http://archive.ubuntu.com precise-updates/multiverse Translation-en       
Hit http://archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://archive.ubuntu.com precise-updates/universe Translation-en
Ign http://packages.medibuntu.org precise/free Translation-en_US
Ign http://packages.medibuntu.org precise/free Translation-en
Ign http://packages.medibuntu.org precise/non-free Translation-en_US
Ign http://packages.medibuntu.org precise/non-free Translation-en
Reading package lists... Done


Then ran
sudo apt-get -f install

Again and returned the same error message

Code: Select all
sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libjs-scriptaculous libphp-snoopy libjs-cropper php5-gd libphp-simplepie
  php5-intl php5-mysql libjs-prototype tinymce libphp-phpmailer
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 26 not upgraded.
11 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up initramfs-tools (0.99ubuntu13) ...
update-initramfs: deferring update (trigger activated)
Setting up grub-pc (1.99-21ubuntu3.7) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Setting up libapache2-mod-php5 (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing libapache2-mod-php5 (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Setting up nfs-common (1:1.2.5-3ubuntu3.1) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing nfs-common (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5:
 php5 depends on libapache2-mod-php5 (>= 5.3.10-1ubuntu3.5) | libapache2-mod-php5filter (>= 5.3.10-1ubuntu3.5) | php5-cgi (>= 5.3.10-1ubuntu3.5) | php5-fpm (>= 5.3.10-1ubuntu3.5); however:
  Package libapache2-mod-php5 is not configured yet.
  Package libapache2-mod-php5filter is not installed.
  Package php5-cgi is not installed.
  Package php5-fpm is not installed.
dpkg: error processing php5 (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up php5-cli (5.3.10-1ubuntu3.5) ...
/usr/bin/ucf: line 520: awk: command not found
dpkg: error processing php5-cli (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-curl:
 php5-curl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-curl (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-gd:
 php5-gd depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gd (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-gmp:
 php5-gmp depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-gmp (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-intl:
 php5-intl depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-intl (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of php5-mysql:
 php5-mysql depends on phpapi-20090626+lfs; however:
  Package phpapi-20090626+lfs is not installed.
  Package libapache2-mod-php5 which provides phpapi-20090626+lfs is not configured yet.
  Package php5-cli which provides phpapi-20090626+lfs is not configured yet.
dpkg: error processing php5-mysql (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Processing triggers for initramfs-tools ...
/usr/sbin/update-initramfs: 236: /usr/sbin/update-initramfs: awk: not found
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Processing triggers for dracut ...
dracut: Generating /boot/initramfs-3.2.0-23-generic.img
E: Directories consolefonts, consoletrans, keymaps, unimaps not found.  Please inform us about the issue including your OS name and version.
W: Couldn't find SSL CA cert bundle; HTTPS won't work.
chown: invalid user: `rpc.rpc'
Errors were encountered while processing:
 grub-pc
 libapache2-mod-php5
 nfs-common
 php5
 php5-cli
 php5-curl
 php5-gd
 php5-gmp
 php5-intl
 php5-mysql
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF update.

Postby caf4926 on Sun Jan 27, 2013 1:47 pm

To be honest
What I see there is a little beyond me

I can say, I never yet had anything like this and I have used Mint since v.6
Image
Mint 16 Cinnamon_64
User avatar
caf4926
Level 7
Level 7
 
Posts: 1784
Joined: Mon Mar 22, 2010 3:21 pm
Location: UK Lake District

Re: Going in circles need help w/ FF update.

Postby WinCrasher on Sun Jan 27, 2013 2:12 pm

That's a bittersweet answer. :) At least I know I am not insane. I am new to linux so this is all greek to me. I hope someone can help me here. Can you recommend someone that may have an answer?
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF update.

Postby grizzler on Sun Jan 27, 2013 2:43 pm

The recurring problem seems to be the absence of the awk program. Odd that should be missing. What do the commands
Code: Select all
whereis awk
update-alternatives --display awk
whereis gawk
apt-cache policy gawk

tell you?
grizzler
Level 4
Level 4
 
Posts: 437
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: Going in circles need help w/ FF update.

Postby WinCrasher on Sun Jan 27, 2013 2:52 pm

THANK YOU! I have been wondering about that. I have no idea what it means or what to do about it tho.
Here is what I got

Code: Select all
greg@greg-Satellite-L355 ~ $ whereis awk
awk: /usr/bin/awk /usr/lib/awk /usr/bin/X11/awk /usr/share/awk /usr/share/man/man1/awk.1.gz
greg@greg-Satellite-L355 ~ $ update-alternatives --display awk
awk - auto mode
  link currently absent
/usr/bin/gawk - priority 10
  slave awk.1.gz: /usr/share/man/man1/gawk.1.gz
  slave nawk: /usr/bin/gawk
  slave nawk.1.gz: /usr/share/man/man1/gawk.1.gz
/usr/bin/mawk - priority 5
  slave awk.1.gz: /usr/share/man/man1/mawk.1.gz
  slave nawk: /usr/bin/mawk
  slave nawk.1.gz: /usr/share/man/man1/mawk.1.gz
Current 'best' version is '/usr/bin/gawk'.
greg@greg-Satellite-L355 ~ $ whereis gawk
gawk: /usr/bin/gawk /usr/bin/X11/gawk /usr/share/man/man1/gawk.1.gz
greg@greg-Satellite-L355 ~ $ apt-cache policy gawk
gawk:
  Installed: 1:3.1.8+dfsg-0.1ubuntu1
  Candidate: 1:3.1.8+dfsg-0.1ubuntu1
  Version table:
 *** 1:3.1.8+dfsg-0.1ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF update. (NoT Solved)

Postby WinCrasher on Sun Jan 27, 2013 10:20 pm

Well It looks like I have lost my friend from The Hague. Even though I answered within 10 minutes. I was very hopeful that he could help me. I googled the awk program and found the user guide for it but reading the entire thing is like learning a new language. Can someone else help me with this problem please? I have been dealing with it for several MONTHS now. I just want to be able to use my computer.
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby caf4926 on Mon Jan 28, 2013 12:58 am

for me inxi -r

shows
Code: Select all
inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ maya main upstream import backport
           deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ precise partner
           deb http://packages.medibuntu.org/ precise free non-free
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb http://dl.google.com/linux/chrome/deb/ stable main


I wonder how your list differs?

I'm using Mint 13 Mate with Backports enabled and +Google Chrome
Image
Mint 16 Cinnamon_64
User avatar
caf4926
Level 7
Level 7
 
Posts: 1784
Joined: Mon Mar 22, 2010 3:21 pm
Location: UK Lake District

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby WinCrasher on Mon Jan 28, 2013 9:31 am

I get

Code: Select all
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://mirror.umd.edu/linuxmint/packages/ maya main upstream import
           deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ precise partner
           deb http://packages.medibuntu.org/ precise free non-free
           Active apt sources in file: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-precise.list
           deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu precise main
           deb-src http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu precise main
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby zerozero on Mon Jan 28, 2013 9:55 am

WinCrasher,
my best advise is to save all your personal data and reinstall: it's quicker, easier and you won't burn yourself with worries.

in nov FF failed to install because awk was not found (when it's installed) and that broke initramfs-tools; this per-se was already bad enough and difficult to solve if at all;

now apart from initramfs-tools you have
Errors were encountered while processing:
grub-pc
libapache2-mod-php5
nfs-common
php5
php5-cli
php5-curl
php5-gd
php5-gmp
php5-intl
php5-mysql
initramfs-tools

broken; i'm not saying that eventually and a lot of effort we couldn't save your system but the most rational thing to do here is reinstall
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby caf4926 on Mon Jan 28, 2013 10:27 am

most rational thing to do here is reinstall
My feeling too
Image
Mint 16 Cinnamon_64
User avatar
caf4926
Level 7
Level 7
 
Posts: 1784
Joined: Mon Mar 22, 2010 3:21 pm
Location: UK Lake District

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby WinCrasher on Mon Jan 28, 2013 12:11 pm

Thank you for responding zerozero. I agree with you completely and I had thought of that. The only problem is I am also unable to mount anything. I have an external drive but I can't get it to mount. I also have Carbonite from when I had windows but it doesn't work with linux.

Rock to left of me. Hard place to the right.

viewtopic.php?f=90&t=124089
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF update. (NoT Solved)

Postby grizzler on Mon Jan 28, 2013 1:06 pm

WinCrasher wrote:Well It looks like I have lost my friend from The Hague. Even though I answered within 10 minutes.

Ah. That would have been just about when I switched off my computer before leaving...

Oddly enough, awk is installed. It can't be a problem with the path variable either, because apparently dpkg has been found during those installation/repair attempts and that's (usually) in the same directory. I must admit I can't think of a better solution than zerozero's.

The only problem is I am also unable to mount anything.

What did you originally install Mint with? A live cd? If so, could you start a live session and see if you can mount the external drive then?
grizzler
Level 4
Level 4
 
Posts: 437
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby WinCrasher on Mon Jan 28, 2013 1:40 pm

What did you originally install Mint with? A live cd? If so, could you start a live session and see if you can mount the external drive then?


That might work. I haven't been able to play a DVD either but maybe I will be able to boot from the CD. I will have to try later when I get home and I will report the results.

Should I go ahead and upgrade to LM 14 while I am at it? I would need to make a new disk for that wouldn't I? Any precautions I should know about?
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby caf4926 on Mon Jan 28, 2013 2:20 pm

A Clean install of Mint 14 will resolve your problems

Remember that 13 is a LTS version. So if that is important then stick with it.

If you decide to go gfor 14, then yes, you need to download it and burn the .iso to DVD
Image
Mint 16 Cinnamon_64
User avatar
caf4926
Level 7
Level 7
 
Posts: 1784
Joined: Mon Mar 22, 2010 3:21 pm
Location: UK Lake District

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby grizzler on Mon Jan 28, 2013 2:22 pm

WinCrasher wrote:That might work. I haven't been able to play a DVD either but maybe I will be able to boot from the CD.

When you boot from the CD, the current installation on the computer doesn't get involved, so I would expect it to work.

Should I go ahead and upgrade to LM 14 while I am at it? I would need to make a new disk for that wouldn't I?

Yes. And that would mean using the CD/DVD writer, so I would leave it until later.
grizzler
Level 4
Level 4
 
Posts: 437
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby WinCrasher on Mon Jan 28, 2013 9:58 pm

caf4926


What does LTS version mean?
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF install. (NoT Solved)

Postby WinCrasher on Mon Jan 28, 2013 10:09 pm

Never mind I found it.

Long Term Service. It will be serviceable for 5 years. (I'm learning.)
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Re: Going in circles need help w/ FF install.

Postby WinCrasher on Tue Jan 29, 2013 3:02 am

Well I tried booting from the disk. I was able to see the external HD but I didn't have access to my data.

I can plug the HD now and I can see the drive but I can't open it. If I could mount stuff It would help a lot. Any help getting that done is greatly appreciated. 8)

Right now I am reading the Gparted manual. No matter how this turns out i plan to partition my drive so that Data and OS are separate and I can reinstall at will.
Linux Mint 17 Qiana MATE On a Toshiba Satellite L355 Laptop 160G HD 3G RAM

Genuine Intel(R) CPU 585 @ 2.16GHz Pentium III Xeon/Celeron
WinCrasher
Level 1
Level 1
 
Posts: 47
Joined: Fri Oct 12, 2012 2:33 pm

Linux Mint is funded by ads and donations.
 
Next

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 23 guests